<template>
  <div>
    <TwoColumnPage>
      <template slot="left">
        <ItemLeftList ref="leftModal" @on-result-change="_leftResult" />
      </template>
      <template slot="right">
        <ItemRightList ref="rightModal" @on-result-change="_rightResult" />
      </template>
    </TwoColumnPage>
  </div>
</template>

<script>
import TwoColumnPage from '../../../components/base/TwoColumnPage'
import ItemLeftList from './InternalDoLeft'
import ItemRightList from './InternalDoRight'

export default {
  components: {
    TwoColumnPage,
    ItemLeftList,
    ItemRightList
  },
  data() {
    return {}
  },
  mounted() {
    this._open()
  },
  methods: {
    _leftResult(ids) {
      this.$refs.rightModal._open(ids)
    },
    _rightResult() {
      this.$refs.leftModal._page()
    },
    _open() {
      this.$refs.leftModal._page()
      this.$refs.rightModal._init()
    }
  }
}
</script>
